package com.tsi.monitoring;

import org.springframework.boot.Banner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.boot.context.ApplicationPidFileWriter;

@SpringBootApplication(exclude={DataSourceAutoConfiguration.class})
public class MonitoringApplication {

    public static void main(String[] args) {
        SpringApplication application = new SpringApplicationBuilder()
                .sources(MonitoringApplication.class)
                .listeners(new ApplicationPidFileWriter("./conf/utic-sys-mon.pid"))
                .build();
        application.setBannerMode(Banner.Mode.OFF);
        application.run(args);
//        SpringApplication.run(MonitoringApplication.class, args);
    }


}
